Checklist for installing NCompPOS
1. Any Windows XP PC or higher
2. You need Mysql server 5.0 or higher already installed and working. For instructions to install MySQL click here.

To download NCompPOS v1.1.5.17 press on the Download button. For Version history click here

To download NCompPOS v2.0.0 not all features are included in package, click here. (In time all features will be present.)

Click here for support